use strict;
use LWP::UserAgent;
use HTTP::Request::Common;
use JSON;

my $uri = 'http://api.sendcloud.net/apiv2/mail/sendtemplate';

my $ua = LWP::UserAgent->new;
# See http://search.cpan.org/~gaas/HTTP-Message-6.06/lib/HTTP/Request.pm


my $request = POST $uri,
    Content => [
        apiUser => '...', # Verification using api_user and api_key
        apiKey => '...',
        from => 'sendcloud@sendcloud.org', # The sender, use the correct email address instead
        fromName => 'SendCloud', #From name
        useAddressList => 'true', #Use address list
        to => 'test@maillist.sendcloud.org',# Use alias address of address list
        templateInvokeName => 'test12346',
        subject => 'SendCloud perl webapi template maillist example',
        respEmailId => 'true'
    ];

my $response = $ua->request($request) ;
if ($response->is_success()) {
    print $response->content, "\n";
} else {
    print $response->as_string, "\n";
}

exit;
